# IShActionManager Struct Reference
[Shell Utilities]

Interface for the Action Manager, which handles dispatching of actions. More...

Inheritance diagram for IShActionManager:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | PostAction (IShAction *action, int32 actionNbr, IMFResponder *context)=0
virtual MCCOMErr MCCOMAPI | PostMouseAction (IShMouseAction *action, int32 actionNbr, IMFResponder *context, IMFPart *part, const TMCPoint &mouse)=0
virtual boolean MCCOMAPI | IsOptionDown ()=0
virtual boolean MCCOMAPI | IsShiftDown ()=0
virtual boolean MCCOMAPI | IsCommandDown ()=0
virtual boolean MCCOMAPI | IsControlDown ()=0
virtual boolean MCCOMAPI | IsLongStaticClick ()=0
virtual boolean MCCOMAPI | IsShortStaticClick ()=0
virtual boolean MCCOMAPI | IsDragAndDropClick ()=0
virtual boolean MCCOMAPI | IsDelayedDrag ()=0

## Detailed Description

Interface for the Action Manager, which handles dispatching of actions.

## Member Function Documentation

virtual boolean MCCOMAPI IShActionManager::IsCommandDown | ( |  | ) | `[pure virtual]`

Returns:
  true if Command/Ctrl is pressed

virtual boolean MCCOMAPI IShActionManager::IsControlDown | ( |  | ) | `[pure virtual]`

Mac only! Returns true if Ctrl is pressed. (On the PC, IsCommandDown() checks for this)

Returns:
  true if Ctrl is pressed

virtual boolean MCCOMAPI IShActionManager::IsDelayedDrag | ( |  | ) | `[pure virtual]`

Call this method when the mouse is allready down.

Returns:
  true if the mouse moved more than a pixel and a short amount of time as passed

virtual boolean MCCOMAPI IShActionManager::IsDragAndDropClick | ( |  | ) | `[pure virtual]`

Call this method when the mouse is allready down.

Returns:
  true if the click was "long" and the mouse moved more than a pixel

virtual boolean MCCOMAPI IShActionManager::IsLongStaticClick | ( |  | ) | `[pure virtual]`

Call this method when the mouse is allready down.

Returns:
  true if the click was long and the mouse did not move too much (ie less than a pixel)

virtual boolean MCCOMAPI IShActionManager::IsOptionDown | ( |  | ) | `[pure virtual]`

Returns:
  true if Option/Alt is pressed

virtual boolean MCCOMAPI IShActionManager::IsShiftDown | ( |  | ) | `[pure virtual]`

Returns:
  true if Shift is pressed

virtual boolean MCCOMAPI IShActionManager::IsShortStaticClick | ( |  | ) | `[pure virtual]`

Call this method when the mouse is allready down.

Returns:
  true if the click was short and the mouse did not move too much (ie less than a pixel)

virtual MCCOMErr MCCOMAPI IShActionManager::PostAction | ( | IShAction * | action,
|  | int32 | actionNbr,
|  | IMFResponder * | context |
| ) |  |  | `[pure virtual]`

Call this method to launch an action.

Parameters:

  | action | Pointer to the action to post
  | actionNbr | A unique action ID number. This is used so that the action can be fired off by menu items, and must be unique.
  | context | Pointer to the IMFResponder interface of the document

virtual MCCOMErr MCCOMAPI IShActionManager::PostMouseAction | ( | IShMouseAction * | action,
|  | int32 | actionNbr,
|  | IMFResponder * | context,
|  | IMFPart * | part,
|  | const TMCPoint & | mouse |
| ) |  |  | `[pure virtual]`

Call this method to launch a mouse action

Parameters:

  | action | Pointer to the action to post
  | actionNbr | A unique action ID number. This is used so that the action can be fired off by menu items, and must be unique.
  | context | Pointer to the IMFResponder interface of the document
  | part | Pointer to the Part that is the view for this action
  | mouse | Mouse position at which to start the action

The documentation for this struct was generated from the following file:

- IShUtilities.h